# osgdepthshadow.cpp File Reference

`#include <osgProducer/Viewer>`
`#include <osg/Projection>`
`#include <osg/Geometry>`
`#include <osg/Texture>`
`#include <osg/TexGen>`
`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osg/PolygonOffset>`
`#include <osg/CullFace>`
`#include <osg/TexEnvCombine>`
`#include <osg/MatrixTransform>`
`#include <osg/Light>`
`#include <osg/LightSource>`
`#include <osg/Material>`
`#include <osgUtil/TransformCallback>`
`#include <osgUtil/RenderToTextureStage>`

Include dependency graph for osgdepthshadow.cpp:

## Functions

ref_ptr< MatrixTransform > | _create_lights (ref_ptr< StateSet > root_stateset)
ref_ptr< Group > | _create_scene ()
int | main (int argc, char **argv)

## Variables

const int | depth_texture_height = 512
const int | depth_texture_width = 512
ref_ptr< RefMatrix > | bias

## Function Documentation

ref_ptr<MatrixTransform> _create_lights | ( | ref_ptr< StateSet > | root_stateset | ) |

ref_ptr<Group> _create_scene | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

## Variable Documentation

ref_ptr<RefMatrix> bias

Initial value:

     new RefMatrix(0.5f, 0.0f, 0.0f, 0.0f,
                                            0.0f, 0.5f, 0.0f, 0.0f,
                                            0.0f, 0.0f, 0.5f, 0.0f,
                                            0.5f, 0.5f, 0.5f, 1.0f)

const int depth_texture_height = 512

const int depth_texture_width = 512